XSLTProcessor
XSLTProcessor::getParameter
XSLTProcessor
PHP Manual

# XSLTProcessor::__construct

(PHP 5)

XSLTProcessor::__construct — Creates a new XSLTProcessor object

### Description

XSLTProcessor
__construct ( void )

Creates a new XSLTProcessor object.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 Creating an XSLTProcessor

`<?php
$doc = new DOMDocument();
$xsl = new XSLTProcessor();
$doc->load($xsl_filename);
$xsl->importStyleSheet($doc);
$doc->load($xml_filename);
echo $xsl->transformToXML($doc);
?>`

XSLTProcessor
XSLTProcessor::getParameter
XSLTProcessor
PHP Manual